Package org.eclipse.m2m.atl.profiler.ui.profilingdatatable

# Class ProfilingDataTableLabelProvider

java.lang.Object
org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
org.eclipse.m2m.atl.profiler.ui.profilingdatatable.ProfilingDataTableLabelProvider

All Implemented Interfaces:
  `org.eclipse.emf.edit.provider.INotifyChangedListener`, `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`, `org.eclipse.jface.viewers.ITableLabelProvider`

public class ProfilingDataTableLabelProvider extends org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider implements org.eclipse.jface.viewers.ITableLabelProvider
A label provider for the data table.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ConvertingStyler, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontAndColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.StyledLabelProvider`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

## Constructor Summary

Constructors
Constructor
Description
`ProfilingDataTableLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`
Creates a label provider using the given factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.graphics.Image`
`getColumnImage(Object element, int columnIndex)`
`String`
`getColumnText(Object element, int columnIndex)`

### Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, createStyler, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImage, getImageFromObject, getStyledStringFromObject, getStyledText, getText, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications, toJFaceStyledString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Constructor Details

### ProfilingDataTableLabelProvider

public ProfilingDataTableLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)
Creates a label provider using the given factory.

Parameters:
  `adapterFactory` - the adapter factory

## Method Details

### getColumnText

public String getColumnText(Object element, int columnIndex)

Specified by:
  `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
Overrides:
  `getColumnText` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`
See Also:
  - `AdapterFactoryLabelProvider.getColumnText(java.lang.Object, int)`

### getColumnImage

public org.eclipse.swt.graphics.Image getColumnImage(Object element, int columnIndex)

Specified by:
  `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
Overrides:
  `getColumnImage` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`
See Also:
  - `AdapterFactoryLabelProvider.getColumnImage(java.lang.Object, int)`